#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_32/sys/src/install/perl/SAPDB/Install/Control/DriveSelector.pm#1 $
# $DateTime: 2006/07/06 16:50:32 $
# $Change: 130190 $
#
# Desc: 

package SAPDB::Install::Control::DriveSelector;

use Wx qw (wxCB_READONLY);
use SAPDB::Install::System::Win32::API;
our @ISA = qw (Wx::ComboBox);

our $existing_drives = [SAPDB::Install::System::Win32::API::GetHDDrives()];

sub new{
	my ($this ) = shift->SUPER::new(@_);
	$this->SetWindowStyleFlag(wxCB_READONLY);
	$this->Clear;
	foreach my $drive (sort @$existing_drives){
		$this->Append($drive);
	}	
	return $this;
}

sub Destroy{
	my ($self) = @_;
	$self->SUPER::Destroy;
}

sub DESTROY{
	my ($self) =  @_;
	print ">>>> DESTROY $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}


1;