#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_32/sys/src/install/perl/SAPDB/Install/InstInfo.pm#1 $
# $DateTime: 2006/07/06 16:50:32 $
# $Change: 130190 $
#

package SAPDB::Install::InstInfo;
bootstrap SAPDB::Install::InstInfo;

sub AUTOLOAD {
	die "cannot load symbol ".$AUTOLOAD."\n"
		unless ($AUTOLOAD =~ /bootstrap$/);

	require XSLoader;
	XSLoader::load (__PACKAGE__);
}

#
# main
#
sub main {
	return (SAPDB::Install::InstInfo::Test::main (@_));
}

package SAPDB::Install::InstInfo::Test;

$DEBUG = 0;

use SDB::Common::Getopt::Long;

sub main {
	my $info = SAPDB::Install::InstInfo::new (shift);

	while (my ($key, $val) = each (%$info)) {
		next if (ref ($val) eq "HASH");
		print $key." => ".$val."\n";
	}

	while (my ($key, $val) = each (%$info)) {
		next unless (ref ($val) eq "HASH");

		print $key."\n";
		foreach my $key (sort (keys (%$val))) {
			my $val = $val->{$key};

			print "  ".$key."\n";
			foreach my $key (sort (keys (%$val))) {
				print "    ".$key." => ".$val->{$key}."\n";
			}
		}
	}

	return 0;
}

1;