#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_32/sys/src/install/perl/SDB/Common/Exporter.pm#1 $
# $DateTime: 2006/07/06 16:50:32 $
# $Change: 130190 $
#
# Desc: 

package SDB::Common::Exporter;

our $ExportLevel = 0;

sub import {
	my ($pkg, @symbols) = @_;
	my $callpkg = caller ($ExportLevel);
	my ($cPack,$cScript,$cLine) = caller;

	local @exports = @{"${pkg}::EXPORT"};
	foreach (($#symbols > -1) ?  @symbols : @exports) {
		s/^(\W)// and $type = $1 or $type='&';

		*{"${callpkg}::$_"} = 
		$type eq '&' ? \&{"${pkg}::$_"} :
		$type eq '$' ? \${"${pkg}::$_"} :
		$type eq '@' ? \@{"${pkg}::$_"} :
		$type eq '%' ? \%{"${pkg}::$_"} :
		$type eq '*' ? \*{"${pkg}::$_"} :
		undef;
	}
}

1;