#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_00/b_32/sys/src/install/perl/SAPDB/Install/GetParam.pm#1 $
# $DateTime: 2006/07/06 16:50:32 $
# $Change: 130190 $
#
#  Desc: 
#

package SAPDB::Install::GetParam;
bootstrap SAPDB::Install::GetParam;

sub AUTOLOAD {
	die "cannot load symbol ".$AUTOLOAD."\n"
		unless ($AUTOLOAD =~ /bootstrap$/);

	require XSLoader;
	XSLoader::load (__PACKAGE__);
}

#
# main
#
sub main {
	return (SAPDB::Install::GetParam::Test::main (@_));
}

package SAPDB::Install::GetParam::Test;

our $DEBUG = 0;

sub main {
	my ($dbname) = @_;

	return 0 unless (defined $dbname && $dbname ne '');

	print "dbname = ".$dbname."\n";

	my $param = SAPDB::Install::GetParam::GetParam ($dbname);
	print "type = ".$param->{'type'}."\n";
	print "\n";

	my $data = $param->{'data'};
	while (my ($key, $val) = each (%$data)) {
		print $key." => ".$val."\n";
	}

	return 0;
}

1;
